> This page is for Platform, version Legacy.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 Experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Legacy: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Fetch child Assets

GET https://api.frame.io/v2/assets/{asset_id}/children

Get child elements of a given asset. Can be used to get the items in a review link, version stack, folder, as well as including an asset to use on the cover of a folder.

Reference: https://next.developer.frame.io/platform/v2/api-reference/assets/get-assets

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `asset_id` (string, required)

### Query parameters

- `include_deleted` (boolean, optional, default: false) — Include deleted files by passing `true`
- `include` (enum, optional) — Include additional "pre-loads" for related resources
  - Allowed values: `children`, `cover_asset`, `review_links`
- `sort` (enum, optional) — The sorting order for the returned list of Assets. Supporting chaining like `comment_count,id`. Also supports reversing the order with `-` i.e. `-comment_count,id` or `filetype,-id`.
  - Allowed values: `comment_count`, `filesize`, `filetype`, `id`, `label`, `name`, `uploaded_at`
- `page` (double, optional) — The current page number in this Paginated Response
- `page_size` (double, optional) — Number of pages in this Paginated Response

## Response

### 200

Assets success response

- `list of Asset`

## Errors

### 401 Unauthorized Error

Unauthorized response

- `code` (integer, optional)
- `errors` (list of HttpErrorErrorsItems, optional)
- `message` (string, optional)

### 404 Not Found Error

Not Found response

- `code` (integer, optional)
- `errors` (list of HttpErrorErrorsItems, optional)
- `message` (string, optional)

## Types

### Asset

Accepts arbitrary key/value pairs for storing information on an asset

### HttpErrorErrorsItems

- `code` (integer, optional)
- `detail` (string, optional)
- `status` (integer, optional)
- `title` (string, optional)

### Asset0

- `` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "account_id": "a3f1c2d4-5678-4e9b-9f12-3456789abcde",
    "archive_from": "2024-01-15T09:30:00Z",
    "archive_scheduled_at": "2024-01-20T09:30:00Z",
    "archive_status": "scheduled",
    "archived_at": "2024-01-25T09:30:00Z",
    "asset_type": "document",
    "bundle": false,
    "bundle_view": "grid",
    "cover_asset_id": "b7e9f8d2-1234-4a56-8cde-9876543210ab",
    "creator": {
      "_type": "user",
      "account_id": "a3f1c2d4-5678-4e9b-9f12-3456789abcde",
      "avatar_color": "#4A90E2",
      "digest_frequency": "weekly",
      "email": "jane.doe@example.com",
      "first_login_at": "2022-05-20T08:00:00Z",
      "from_adobe": false,
      "from_google": false,
      "highest_account_role": "admin",
      "id": "user-1234-5678-9012-3456",
      "image_128": "https://cdn.frame.io/images/users/128/user123.png",
      "image_256": "https://cdn.frame.io/images/users/256/user123.png",
      "image_32": "https://cdn.frame.io/images/users/32/user123.png",
      "image_64": "https://cdn.frame.io/images/users/64/user123.png",
      "inserted_at": "2022-05-20T08:00:00Z",
      "integrations": [
        "slack",
        "dropbox"
      ],
      "joined_via": "email_invite",
      "last_seen": "2024-04-15T18:30:00Z",
      "mfa_enforced_at": "2023-11-01T12:00:00Z",
      "name": "Jane Doe",
      "next_digest_date": "2024-04-17T08:00:00Z",
      "profile_image": "https://cdn.frame.io/images/users/profile/user123.png",
      "roles": {
        "admin": true,
        "id": "role-001",
        "sales": false,
        "service_desk": false,
        "support": true
      },
      "timezone_value": "America/Los_Angeles",
      "updated_at": "2024-04-10T15:45:00Z",
      "upload_url": "https://upload.frame.io/user123",
      "user_default_color": "#FF5733",
      "user_hash": "hash_abc123xyz"
    },
    "frames": 2400,
    "hard_deleted_at": null,
    "id": "c9d8e7f6-1234-4b56-8cde-1234567890ab",
    "index": 2.5,
    "is_bundle_child": false,
    "is_hls_required": true,
    "is_session_watermarked": false,
    "item_count": 12,
    "label": "in_progress",
    "metadata": {
      "camera": "RED Komodo",
      "location": "Los Angeles Studio"
    },
    "metadata_flags": {
      "id": "meta-1234-5678-9012-3456",
      "is_360": false,
      "is_hdr": true,
      "is_original_player_compatible": true
    },
    "name": "Project_Script_v2.pdf",
    "original": "https://cdn.frame.io/originals/c9d8e7f6-1234-4b56-8cde-1234567890ab.pdf",
    "parent_asset_id": "eefb57e0-79f2-4bc7-9b70-99fbc175175c",
    "project_id": "proj-9876-5432-10ab-cdef",
    "properties": {
      "scene": "5",
      "take": "3"
    },
    "required_transcodes": {
      "cover": false,
      "finalized": [
        "thumb",
        "h264_720",
        "image_high"
      ],
      "h264_1080_best": false,
      "h264_2160": false,
      "h264_360": true,
      "h264_540": false,
      "h264_720": true,
      "image_full": true,
      "image_high": true,
      "page_proxy": false,
      "thumb": true,
      "thumb_540": false,
      "thumb_orig_ar_540": false,
      "thumb_scrub": true
    },
    "team_id": "team-4567-8901-2345-6789",
    "type": "file",
    "user_permissions": {
      "can_download": true,
      "can_modify_template": false,
      "can_public_share_presentation": true,
      "can_public_share_review_link": true,
      "can_share_downloadable_presentation": false,
      "can_share_downloadable_review_link": true,
      "can_share_unwatermarked_presentation": false,
      "can_share_unwatermarked_review_link": true
    },
    "view_count": 152
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v2/assets/asset_id/children"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v2/assets/asset_id/children';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v2/assets/asset_id/children"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v2/assets/asset_id/children")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v2/assets/asset_id/children")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v2/assets/asset_id/children', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v2/assets/asset_id/children");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/assets/asset_id/children")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```